Obtener imágenes ID Verification
curl --request GET \
--url http://api.gu1.ai/api/kyc/id-verification/verifications/{id}/document-front-image \
--header 'Authorization: Bearer <token>'import requests
url = "http://api.gu1.ai/api/kyc/id-verification/verifications/{id}/document-front-image"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://api.gu1.ai/api/kyc/id-verification/verifications/{id}/document-front-image', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
ID Verification
Obtener imágenes ID Verification
Descargar las imágenes de documento (frente y reverso) de un ID Verification — en la API KYC de gu1 para flujos de verificación de identidad.
GET
/
api
/
kyc
/
id-verification
/
verifications
/
{id}
/
document-front-image
Obtener imágenes ID Verification
Resumen
Tras ID Verification (POST), podés descargar las imágenes del frente y, si aplica, del reverso del documento con los GET de abajo. Poné elid de la verificación en el path —el mismo UUID que verificationId en el POST o id en listado / GET uno. Sin parámetros extra en la query. Mismo Authorization: Bearer y permiso de lectura KYC que en el resto de ID Verification.
Usá el endpoint del reverso solo si esa verificación incluyó imagen del dorso; si no, podés recibir 404.
Endpoints
Frente del documento
GET https://api.gu1.ai/api/kyc/id-verification/verifications/{verificationId}/document-front-image
Reverso del documento
GET https://api.gu1.ai/api/kyc/id-verification/verifications/{verificationId}/document-back-image
Parámetros de path
string
required
UUID de la verificación ID (el mismo que
verificationId del POST o id del listado/GET uno).Headers
Authorization:Bearer TU_API_KEY(obligatorio)
X-Organization-Id si tu cuenta está limitada por organización.
Respuestas
| HTTP | Descripción |
|---|---|
| 200 | Bytes de la imagen (Content-Type ej. image/jpeg). |
| 404 | Verificación inexistente, de otra organización, o esa imagen no está disponible para descarga. |
Ejemplos
curl -sS -o frente.jpg \
-H "Authorization: Bearer TU_API_KEY" \
"https://api.gu1.ai/api/kyc/id-verification/verifications/UUID_VERIFICACION/document-front-image"
curl -sS -o reverso.jpg \
-H "Authorization: Bearer TU_API_KEY" \
"https://api.gu1.ai/api/kyc/id-verification/verifications/UUID_VERIFICACION/document-back-image"
Relacionado
Was this page helpful?